MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029058Open CASCADE[OCCT] OCCT:Codingpublic2017-08-27 21:432017-09-04 18:20
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.2.0Fixed in Version 
Summary0029058: Coding rules, OpenGl_Window - eliminate memory leak after XGetVisualInfo
DescriptionThe following memleak should be eliminated:
==11230== 640 bytes in 1 blocks are definitely lost in loss record 3,087 of 3,387
==11230==    at 0x4C2DB2F: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==11230==    by 0x5C7C265: XGetVisualInfo (in /usr/lib/x86_64-linux-gnu/libX11.so.6.3.0)
==11230==    by 0x157707B4: OpenGl_Window::OpenGl_Window(opencascade::handle<OpenGl_GraphicDriver> 
const&, opencascade::handle<Aspect_Window> const&, void*, opencascade::handle<OpenGl_Caps> 
const&, opencascade::handle<OpenGl_Context> const&) (OpenGl_Window.cxx:480)
==11230==    by 0x156F0BD6: OpenGl_GraphicDriver::CreateRenderWindow(opencascade::handle<Aspect_Window> 
const&, void*) (OpenGl_GraphicDriver.cxx:819)
==11230==    by 0x1574437B: OpenGl_View::SetWindow(opencascade::handle<Aspect_Window> const&, 
void*) (OpenGl_View.cxx:288)
==11230==    by 0x152B0DBA: V3d_View::SetWindow(opencascade::handle<Aspect_Window> const&, 
void*) (V3d_View.cxx:191)
==11230==    by 0x14C3B8B0: ViewerTest::ViewerInit(int, int, int, int, char const*, char const*) (ViewerTest_ViewerCommands.cxx:715)

==11230==    by 0x14C3C728: VInit(Draw_Interpretor&, int, char const**) (ViewerTest_ViewerCommands.cxx:910)

==11230==    by 0x4EB4FC3: Draw_Interpretor::CallBackDataFunc::Invoke(Draw_Interpretor&, int, char 
const**) (Draw_Interpretor.hxx:81)
==11230==    by 0x4EDA300: CommandCmd(void*, Tcl_Interp*, int, char const**) (Draw_Interpretor.cxx:166)

==11230==    by 0x58C9BD5: TclInvokeStringCommand (in /usr/lib/x86_64-linux-gnu/libtcl8.6.so)
==11230==    by 0x58CBFE6: TclNRRunCallbacks (in /usr/lib/x86_64-linux-gnu/libtcl8.6.so)
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0024847closedapn CLang warnings -Wdeprecated-writable-strings in OpenGl_Display 

-  Notes
(0069959)
git (administrator)
2017-08-27 21:53

Branch CR29058 has been created by kgv.

SHA-1: 82b83d74dafe1f0c47dba3eafaf1bb2d3b04ef27


Detailed log of new commits:

Author: kgv
Date: Sun Aug 27 21:53:16 2017 +0300

    0029058: Coding rules, OpenGl_Window - eliminate memory leak after XGetVisualInfo
(0069960)
git (administrator)
2017-08-27 22:41

Branch CR29058 has been updated forcibly by kgv.

SHA-1: 2eb658d6c4f70ca857f9be10e5a05c82fe92dd51
(0069962)
git (administrator)
2017-08-28 09:15

Branch CR29058 has been updated forcibly by kgv.

SHA-1: d5d77fc7934bf16de594a696bff0190dc4a091a6
(0069975)
kgv (developer)
2017-08-28 13:03

Please take the patch.
(0070009)
bugmaster (administrator)
2017-08-28 18:26
edited on: 2017-08-28 18:26

Combination -
OCCT branch : CR29058 - SHA-1: d5d77fc7934bf16de594a696bff0190dc4a091a6
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR29058-master-KGV/view/TESTING/ [^]
Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 4 (4 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0070211)
git (administrator)
2017-09-04 18:20

Branch CR29058 has been deleted by kgv.

SHA-1: d5d77fc7934bf16de594a696bff0190dc4a091a6

- Related Changesets
occt: master 2f690078
Timestamp: 2017-08-27 18:53:16
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029058: Coding rules, OpenGl_Window - eliminate memory leak after XGetVisualInfo

Minor memory leak occurring at creation of the view is eliminated.
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-27 21:43 kgv New Issue
2017-08-27 21:43 kgv Assigned To => kgv
2017-08-27 21:53 git Note Added: 0069959
2017-08-27 22:41 git Note Added: 0069960
2017-08-28 09:15 git Note Added: 0069962
2017-08-28 10:47 kgv Target Version 7.2.1 => 7.2.0
2017-08-28 10:51 kgv Relationship added child of 0024847
2017-08-28 10:51 kgv Product Version 7.2.0 => 6.8.0
2017-08-28 13:03 kgv Note Added: 0069975
2017-08-28 13:03 kgv Assigned To kgv => bugmaster
2017-08-28 13:03 kgv Severity minor => trivial
2017-08-28 13:03 kgv Status new => resolved
2017-08-28 13:03 kgv Status resolved => reviewed
2017-08-28 18:26 bugmaster Note Added: 0070009
2017-08-28 18:26 bugmaster Status reviewed => tested
2017-08-28 18:26 bugmaster Test case number => Not required
2017-08-28 18:26 bugmaster Note Edited: 0070009 View Revisions
2017-08-31 18:37 bugmaster Changeset attached => occt master 2f690078
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070211


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker